### Method

# Foundry TextDocument find_addin

#### Declaration [src]

    FoundryTextDocumentAddin*
    foundry_text_document_find_addin (
      FoundryTextDocument* self,
      const char* module_name
    )

#### Description [src]

Gets a `FoundryTextDocumentAddin` using the name of the plugin. This is the value for “Module=” in the `.plugin` file.

#### Parameters

`module_name`

  Type: `const char*`

  The name of the plugin module.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryTextDocumentAddin`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.